import request from '@/utils/request'

// 查询认证通过高新技术企业名单列表
export function listEnterprise(query) {
  return request({
    url: '/crmCertifiedTechnologyEnterprise/findByPage',
    method: 'get',
    params: query
  })
}

// 查询认证通过高新技术企业名单详细
export function getEnterprise(id) {
  return request({
    url: '/crmCertifiedTechnologyEnterprise/enterprise/' + id,
    method: 'get'
  })
}

// 新增认证通过高新技术企业名单
export function addEnterprise(data) {
  return request({
    url: '/crmCertifiedTechnologyEnterprise/enterprise',
    method: 'post',
    data: data
  })
}

// 修改认证通过高新技术企业名单
export function updateEnterprise(data) {
  return request({
    url: '/crmCertifiedTechnologyEnterprise/enterprise',
    method: 'put',
    data: data
  })
}

// 删除认证通过高新技术企业名单
export function delEnterprise(id) {
  return request({
    url: '/crmCertifiedTechnologyEnterprise/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delEnterpriseBatch(ids) {
  console.log(ids);
  return request.post('/crmCertifiedTechnologyEnterprise/delete',ids)
}

